public class Wurzel {
  public static Double compute (String wert) { 
    double x = Double.parseDouble(wert);
    if (x < 0) {
        return null;
    }
    return new Double(Math.sqrt(x));
  }

  public static void main (String[] args) {
    try {
        Double erg = compute(args[0]);
        System.out.println(erg.doubleValue());
    } catch (ArrayIndexOutOfBoundsException ae) {
        System.out.println("Aufruf unzulaessig, da kein " +
                           "double-Parameter " + 
                           "angegeben wurde!");
    } catch (NumberFormatException nfe) {
        System.out.println("Aufruf unzulaessig, da kein " +
                           "double-Parameter " + 
                           "angegeben wurde!");
    } catch (NullPointerException npe) {
        System.out.println("double-Wert darf nicht negativ sein!");
    } catch (Exception e) {
        e.printStackTrace();
    }
  }
}
